# icon_forest

It has two components:
1. a free app that searches icons from all pub.dev packages. (160k+ icons)
2. a collection of icon libraries.
---

# IconForest app <img alt="apk" src="https://iconforest.flutterplay.com/flutter/pubdev/logo.png" width="4%"/>

<img alt="search icons, mark favorites, output icon code" src="https://iconforest.flutterplay.com/flutter/pubdev/demo.gif" width="80%" />

- Icons can be easily applied to your projects with pubspec.yaml.
- Pasteboard example:
```dart
/// bootstrap_icons
// https://pub.dev/packages/bootstrap_icons

bootstrap_icons: ^1.8.1 

import 'package:bootstrap_icons/bootstrap_icons.dart';

Icon(BootstrapIcons.cloud_lightning_rain_fill);
Icon(BootstrapIcons.cloud_lightning_rain);
Icon(BootstrapIcons.cloud_rain_fill);
Icon(BootstrapIcons.cloud_rain_heavy_fill);
```
|||
| :- | :- |
|<a href="https://play.google.com/store/apps/details?id=com.flutterplay.iconforest"><img alt="Google Play" src="https://iconforest.flutterplay.com/flutter/pubdev/googleplay.png" width="70%"/></a>|<img alt="Google Play" src="https://iconforest.flutterplay.com/flutter/pubdev/qr/qr_googleplay.png" width="15%"/>|
|<a href="https://iconforest.flutterplay.com/download/android.php"><img alt="apk" src="https://iconforest.flutterplay.com/flutter/pubdev/apk.png" width="70%"/></a>|<img alt="Appstore" src="https://iconforest.flutterplay.com/flutter/pubdev/qr/qr_apk.png" width="15%"/>|
|<a href="https://apps.apple.com/app/iconforest/id1626186092"><img alt="Appstore" src="https://iconforest.flutterplay.com/flutter/pubdev/appstore.png" width="70%"/></a>|<img alt="Appstore" src="https://iconforest.flutterplay.com/flutter/pubdev/qr/qr_appstore.png" width="15%"/>|


---

# Icon libraries


There are 38 icon libraries (38k+ icons). They come from:
- converting existing non-null-safety or invalid icon packages
- open-source icon libraries which are new to pub.dev

---

## Our goal

Make beautiful designs faster for Flutter developers. To reach this goal:
- we collect icon packages from pub.dev and make them searchable
- we test all icon packages, correct sample codes, and remove invalid icons
- we make duplicated icon libraries invisible by default
- we explore new beautiful icon libraries
- we wish to empower you to search, select, and apply icons quickly from one place

## Contact us
Email us at <a href="mailto:iconforest@flutterplay.com">iconforest@flutterplay.com</a>

